import { Injectable } from '@angular/core';
import {environment} from "../environments/environment";
import {HttpHeaders} from "@angular/common/http";

@Injectable({
  providedIn: 'root'
})
export class RestCallsService {
  baseUrl = environment.baseUrlSpring;

  constructor() { }

  getRequestHeaders() {
    const httpOptions = {
      headers: new HttpHeaders({
        'Content-Type':  'application/json',
        Authorization: 'Bearer ' + localStorage.getItem('token')
      })
    };
    return httpOptions;
  }
}
