import { Component, OnInit } from '@angular/core';
import {ActivatedRoute} from '@angular/router';
import {PythonBackendService} from '../core/python-backend.service';

@Component({
  selector: 'app-skin-disease-result',
  templateUrl: './skin-disease-result.page.html',
  styleUrls: ['./skin-disease-result.page.scss'],
})
export class SkinDiseaseResultPage implements OnInit {
  private disease: string;

  constructor(
    private route: ActivatedRoute,
    private pythonBackendService: PythonBackendService
  ) { }

  ngOnInit() {
    this.disease = this.route.snapshot.paramMap.get('disease');
  }

}
