package com.sliit.bestbark.dto;

import com.sliit.bestbark.model.Answer;

import java.util.List;

public class QuestionDto {
    private Long id;
    private String title;
    private String content;
    private int votes;
    private List<Answer> reviews;

    public QuestionDto() {
    }

    public QuestionDto(Long id, String title, String content, int votes, List<Answer> reviews) {
        this.id = id;
        this.title = title;
        this.content = content;
        this.votes = votes;
        this.reviews = reviews;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getVotes() {
        return votes;
    }

    public void setVotes(int votes) {
        this.votes = votes;
    }

    public List<Answer> getReviews() {
        return reviews;
    }

    public void setReviews(List<Answer> reviews) {
        this.reviews = reviews;
    }
}
