package com.sliit.bestbark.model;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface UserRepository extends JpaRepository<UserModel, Long> {


    Optional<UserModel> findByUsername(String username);

    @Query("SELECT u FROM UserModel u WHERE u.username = ?1")
    List<UserModel> findUsersByUsername(String username);
}
